/*!
 * Bazaarvoice bv-loader v13.2.9
 * Fri Mar 12 2021 16:51:37 GMT+0000 (Coordinated Universal Time)
 * 
 * Capabilities:
 * 
 *   api@0.7.3
 *   curations@1.2.0
 *   inline_ratings@2.2.2
 *   questions@0.2.2
 *   rating_summary@2.44.0
 *   ratings@0.1.23
 *   review-highlights@0.1.1
 *   review_highlights@3.2.6
 *   reviews@0.2.2
 *   swat-submission@4.3.0
 * 
 * http://bazaarvoice.com
 * 
 * Copyright 2021 Bazaarvoice. All rights reserved.
 * 
 */!function(e){var t={};function n(r){if(t[r])return t[r].exports;var o=t[r]={i:r,l:!1,exports:{}};return e[r].call(o.exports,o,o.exports,n),o.l=!0,o.exports}n.m=e,n.c=t,n.d=function(e,t,r){n.o(e,t)||Object.defineProperty(e,t,{enumerable:!0,get:r})},n.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},n.t=function(e,t){if(1&t&&(e=n(e)),8&t)return e;if(4&t&&"object"==typeof e&&e&&e.__esModule)return e;var r=Object.create(null);if(n.r(r),Object.defineProperty(r,"default",{enumerable:!0,value:e}),2&t&&"string"!=typeof e)for(var o in e)n.d(r,o,function(t){return e[t]}.bind(null,o));return r},n.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return n.d(t,"a",t),t},n.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},n.p="",n(n.s=47)}([function(e,t,n){"use strict";t.a={deployment:{client:"Kohls",site:"redesign",environment:"production",locale:"en_US"},dataEnvironment:"prod",serverEnvironment:"prod",vpc:"prod",piiDataRegion:"unitedStates",isCurationsEnabled:!0,cookiesOptIn:!1,displayCode:"9025_10_0",domains:[{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".kohls.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".kohlsecommerce.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".bazaarvoice.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".192.168.1.186"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".localhost"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".10.201.29.155"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:"productchampions.kohls.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".gmail.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".hotmail.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".stu.waukesha.k12.wi.us"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".yahoo.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".wi.rr.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:"translate.googleusercontent.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:"webcache.googleusercontent.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:"translate.baiducontent.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:".bazaarvoice.com"},{firstPartyCookieEnabled:!0,thirdPartyCookieEnabled:!0,domain:"localhost"}],scoutVersion:"13.2.9",splitTestingEnabled:!0,isConversations:!0,isPreview:!1,legacyScoutUrl:"https://display.ugc.bazaarvoice.com/static/Kohls/redesign/en_US/bvapi.js",paths:{root:"https://apps.bazaarvoice.com",splitTests:"https://apps.bazaarvoice.com/splitTests.json",componentTemplate:"https://apps.bazaarvoice.com/components/components-<%= version %>.min.js",renderTemplate:"https://apps.bazaarvoice.com/render/render-<%= version %>.min.js",layoutRoot:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/layouts"},render:{},webAnalyticsIntegrationConfigs:[{name:"AdobeSiteCatalyst",evar:34,event:15,tracker:""}],apps:[{name:"api",version:"0.7.3",defer:!1,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/api/api-0.7.3.js",legacyPath:"https://apps.bazaarvoice.com/apps/api/api-0.7.3.legacy.js",publicName:"api",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/api-config.js"},{name:"curations",version:"1.2.0",defer:!1,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/curations/curations-1.2.0.js",legacyPath:null,publicName:"curations",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/curations-config.js"},{name:"inline_ratings",version:"2.2.2",defer:!0,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/inline_ratings/inline_ratings-2.2.2.js",legacyPath:null,publicName:"inline_rating",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/inline_ratings-config.js"},{name:"questions",version:"0.2.2",defer:!0,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/questions/questions-0.2.2.js",legacyPath:null,publicName:"questions",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/questions-config.js"},{name:"rating_summary",version:"2.44.0",defer:!0,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/rating_summary/rating_summary-2.44.0.js",legacyPath:null,publicName:"rating_summary",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/rating_summary-config.js"},{name:"ratings",version:"0.1.23",defer:!0,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/ratings/ratings-0.1.23.js",legacyPath:null,publicName:"ratings",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/ratings-config.js"},{name:"review-highlights",version:"0.1.1",defer:!0,hasConfig:!1,sourcePath:"https://apps.bazaarvoice.com/apps/review-highlights/review-highlights-0.1.1.js",legacyPath:null,publicName:"review-highlights"},{name:"review_highlights",version:"3.2.6",defer:!0,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/review_highlights/review_highlights-3.2.6.js",legacyPath:null,publicName:"review_highlights",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/review_highlights-config.js"},{name:"reviews",version:"0.2.2",defer:!0,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/reviews/reviews-0.2.2.js",legacyPath:null,publicName:"reviews",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/reviews-config.js"},{name:"swat-submission",version:"4.3.0",defer:!0,hasConfig:!0,sourcePath:"https://apps.bazaarvoice.com/apps/swat-submission/swat-submission-4.3.0.js",legacyPath:null,publicName:"multi_submission",configUrl:"https://apps.bazaarvoice.com/deployments/kohls/redesign/production/en_US/swat-submission-config.js"}]}},function(e,t,n){"use strict";(function(t){e.exports=function(){if("undefined"!=typeof globalThis)return globalThis;if("undefined"!=typeof window)return window;if("undefined"!=typeof self)return self;if(void 0!==t)return t;throw new Error("unable to locate global object")}()}).call(this,n(17))},function(e,t,n){"use strict";var r=n(32),o=n.n(r),a=n(1),i=n.n(a),s=n(0),c=console.warn.bind(console),u=["API_BASE_URL","Date","_bvapijs","_internal","_options","_staticAssetRegistry","configure","define","easyXDM","extensions","global","initialData","name","options","performance","pixel","privacy","_private","registerProperty","_render","requestAnimationFrame","require","requirejs","serverRender","_spotlightsConfig","Spotlights","staticAssetLoader","ud","ui"].concat(s.a.apps.map(function(e){return e.name}));if("Proxy"in i.a){var l=i.a.Proxy;i.a.BV=new l(i.a.BV||{},{set:function(e,t,n){return~u.indexOf(t)||c("Unexpected property '".concat(t,"' assigned to window.BV. Valid assignment to the BV variable requires approval from the BV Loader Team.")),e[t]=n,!0}})}t.a=o.a.namespace("BV")},function(e,t,n){"use strict";n.d(t,"d",function(){return i}),n.d(t,"a",function(){return s}),n.d(t,"b",function(){return c}),n.d(t,"c",function(){return u});var r=n(4),o=n.n(r),a=/[,\s]\s*/,i=function(){if(!o.a)return[];var e=o.a.getAttribute("data-bv-preload");return e?e.split(a):[]}(),s=o.a&&o.a.getAttribute("data-bv-callback")||"bvCallback",c=o.a&&o.a.getAttribute("data-bv-display-code"),u=o.a&&o.a.getAttribute("data-bv-hostname")},function(e,t,n){var r=n(1),o=r.document&&(r.document.currentScript||r.document.querySelector('script[src*="bv.js"]'));e.exports=o},function(e,t,n){e.exports.getEntries=n(28).getEntries,e.exports.getEntriesByName=n(55).getEntriesByName,e.exports.getEntriesByType=n(34).getEntriesByType,e.exports.now=n(30).now,e.exports.mark=n(57).mark,e.exports.measure=n(58).measure},function(e,t,n){var r=n(1);if(void 0!==r.Promise&&r.Promise.toString().match(/\[native code]/))e.exports=r.Promise;else{var o=setTimeout;function a(){}function i(e){if("object"!=typeof this)throw new TypeError("Promises must be constructed via new");if("function"!=typeof e)throw new TypeError("not a function");this._state=0,this._handled=!1,this._value=void 0,this._deferreds=[],d(e,this)}function s(e,t){for(;3===e._state;)e=e._value;0!==e._state?(e._handled=!0,i._immediateFn(function(){var n=1===e._state?t.onFulfilled:t.onRejected;if(null!==n){var r;try{r=n(e._value)}catch(e){return void u(t.promise,e)}c(t.promise,r)}else(1===e._state?c:u)(t.promise,e._value)})):e._deferreds.push(t)}function c(e,t){try{if(t===e)throw new TypeError("A promise cannot be resolved with itself.");if(t&&("object"==typeof t||"function"==typeof t)){var n=t.then;if(t instanceof i)return e._state=3,e._value=t,void l(e);if("function"==typeof n)return void d((r=n,o=t,function(){r.apply(o,arguments)}),e)}e._state=1,e._value=t,l(e)}catch(t){u(e,t)}var r,o}function u(e,t){e._state=2,e._value=t,l(e)}function l(e){2===e._state&&0===e._deferreds.length&&i._immediateFn(function(){e._handled||i._unhandledRejectionFn(e._value)});for(var t=0,n=e._deferreds.length;t<n;t++)s(e,e._deferreds[t]);e._deferreds=null}function f(e,t,n){this.onFulfilled="function"==typeof e?e:null,this.onRejected="function"==typeof t?t:null,this.promise=n}function d(e,t){var n=!1;try{e(function(e){n||(n=!0,c(t,e))},function(e){n||(n=!0,u(t,e))})}catch(e){if(n)return;n=!0,u(t,e)}}i.prototype.catch=function(e){return this.then(null,e)},i.prototype.then=function(e,t){var n=new this.constructor(a);return s(this,new f(e,t,n)),n},i.all=function(e){var t=Array.prototype.slice.call(e);return new i(function(e,n){if(0===t.length)return e([]);var r=t.length;function o(a,i){try{if(i&&("object"==typeof i||"function"==typeof i)){var s=i.then;if("function"==typeof s)return void s.call(i,function(e){o(a,e)},n)}t[a]=i,0==--r&&e(t)}catch(e){n(e)}}for(var a=0;a<t.length;a++)o(a,t[a])})},i.resolve=function(e){return e&&"object"==typeof e&&e.constructor===i?e:new i(function(t){t(e)})},i.reject=function(e){return new i(function(t,n){n(e)})},i.race=function(e){return new i(function(t,n){for(var r=0,o=e.length;r<o;r++)e[r].then(t,n)})},i._immediateFn="function"==typeof setImmediate&&function(e){setImmediate(e)}||function(e){o(e,0)},i._unhandledRejectionFn=function(e){"undefined"!=typeof console&&console&&console.warn("Possible Unhandled Promise Rejection:",e)},e.exports=i}},function(e,t,n){"use strict";n.d(t,"b",function(){return s}),n.d(t,"c",function(){return c}),n.d(t,"d",function(){return u}),n.d(t,"a",function(){return l});var r=n(13),o=n(20),a={},i={get:function(e){return a[e]}};n.n(o).a.call(i);r.c({selector:'meta[name^="'.concat("bv:",'"]'),attributes:["name","content"],callback:function(e,t){var n=t.name.replace(new RegExp("^".concat("bv:")),"");e===r.b?(delete a[n],delete i[n]):a[n]=t.getAttribute("content"),i.trigger("change",n)}});var s=function(){return i},c=function(){return a.pageType||void 0},u=function(){return a.userToken||void 0},l=function(){return(e=a.disabled)&&e.split(",").map(function(e){return e.trim()})||[];var e}},function(e,t,n){"use strict";n.d(t,"a",function(){return i}),n.d(t,"d",function(){return f}),n.d(t,"e",function(){return l}),n.d(t,"c",function(){return c}),n.d(t,"b",function(){return u});var r=n(43),o={},a={},i="bvShow",s=n.n(r)()(Array),c=function(e,t){e.filter(function(e){return!e.dataset.bvReady}).forEach(function(e){var n=e.dataset[i];o[n]&&o[n].forEach(function(r){if("spotlights"===n&&t){var o=e.parentElement;e.removeAttribute("data-bv-ready"),o.replaceChild(e.cloneNode(!1),e)}else r(e),e.dataset.bvReady=!0})})},u=function(e){e.filter(function(e){return e.dataset.bvReady}).forEach(function(e){var t=e.dataset[i];a[t]&&a[t].forEach(function(t){t(e),delete e.dataset.bvReady})})},l=function(e,t){o[e]||(o[e]=[]),o[e].push(t),function(e){return s.then(function(t){var n=document.querySelectorAll("[".concat("data-bv-show","]"));return t.prototype.filter.call(n,function(t){return!e||t.dataset[i]===e})})}(e).then(c)},f=function(e,t){a[e]||(a[e]=[]),a[e].push(t)}},function(e,t,n){"use strict";var r=n(0),o=new RegExp("/deployments/([^/]+)/(?:[^/]+/){3}bv\\.js"),a={appNameRegex:function(e){return new RegExp("".concat(r.a.paths.root,"/apps/").concat(e,"/").concat(e,"-[^/]+.js"))},layoutNameRegex:function(e){return new RegExp("".concat(r.a.paths.layoutRoot,"/").concat(e,".json"))},renderRegex:r.a.deployment.local?new RegExp("render.js"):new RegExp("".concat(r.a.paths.root,"/render/render-[^/]+.js")),bvLoaderRegex:o,parseClient:function(e){var t=o.exec(e);if(t)return t[1]},errorReportPath:"".concat(r.a.paths.root,"/errors")};t.a=a},function(e,t,n){"use strict";var r=n(18),o=n(0),a=r.a.createTracker({commonData:{bvProduct:"bv-loader",bvProductVersion:o.a.scoutVersion},name:"bv-loader",source:"bv-loader"});t.a=a},function(e,t,n){"use strict";(function(e){var r=n(37),o=n.n(r),a=n(0),i=n(38),s=n(24),c=n(1),u=n.n(c),l=n(9),f=n(26),d=n(52).version,p=1e4;function m(t){var n=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r=n.extra,o=n.renderVersion,a=n.componentsVersion,i=n.component;return Object(f.a)().then(function(){return h(t,{extra:r,renderVersion:o,componentsVersion:a,component:i})}).catch(function(){return h(t,{extra:r,renderVersion:o,componentsVersion:a,component:i})}).then(function(t){return n=t,r=new XMLHttpRequest,new e(function(e,t){r.onreadystatechange=function(){if(r.readyState===XMLHttpRequest.DONE)if(200===r.status){var n;try{n=JSON.parse(r.responseText)}catch(e){t("Unable to JSON.parse server response: ".concat(r.responseText,"."))}e(n)}else t("The call to the server was not successful.")},r.open("POST",l.a.errorReportPath),r.timeout=p,r.ontimeout=function(){r.abort()},r.setRequestHeader("Content-Type","application/json"),r.send(JSON.stringify(n))});var n,r})}function h(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=t.extra,r=t.renderVersion,c=t.componentsVersion,l=t.component,f=function(e){var t=function(e){var t;try{t=o.a.parse(e)}catch(e){return}return{frames:t.map(function(e){return{filename:e.fileName,function:e.functionName,lineno:e.lineNumber,colno:e.columnNumber}})}}(e);return{type:e.name,value:e.message,stacktrace:t}}(e),p={timestamp:new Date(Date.now()).toISOString(),logger:"bv.js",platform:"javascript",sdk:{name:"bv-loader",version:d},level:"error",release:d,tags:{components_release:c,bv_loader_release:d,render_release:r,client:a.a.deployment.client,deployment_zone:a.a.deployment.site,data_environment:a.a.dataEnvironment,locale:a.a.deployment.locale,component:l,load_id:u.a.BVA?u.a.BVA.loadId:void 0},environment:a.a.serverEnvironment,exception:f,extra:n},m=Object(i.detect)();return m&&(p.contexts={browser:{name:m.name,version:m.version}}),Object(s.a)().then(function(e){Object.defineProperty(p.tags,"bv_segment",{value:e})}).then(function(){return p})}t.a=function(){return new e(function(e){e(m)})}}).call(this,n(6))},function(e,t,n){var r=n(1),o=n(32),a=r.document,i={};function s(){return a.getElementsByTagName("script")[0]}function c(e){return!e||"loaded"===e||"complete"===e||"uninitialized"===e}function u(e,t,n){if(!e||"string"!=typeof e)throw new Error("`url` must be a string");if(t.namespaceName&&"string"!=typeof t.namespaceName)throw new Error("`options.namespaceName` must be a string");if(t.forceLoad&&"boolean"!=typeof t.forceLoad)throw new Error("`options.forceLoad` must be a boolean");if("number"!=typeof t.timeout)throw new Error("`options.timeout` must be a number");if(n&&"function"!=typeof n)throw new Error("`callback` must be a function")}e.exports={_clearLoadedUrls:function(e){e?o.namespace(e).loadedUrls={}:i={}},loadScript:function(e,t,n){var r,l=i;if("function"==typeof t&&(n=t,t=null),(t=t||{}).timeout=t.timeout||1e4,u(e,t,n),t.namespaceName&&(r=o.namespace(t.namespaceName),l=r.loadedUrls||{}),t.forceLoad||!l[e]){var f,d=a.createElement("script"),p=!1;if(t.attributes)for(f in t.attributes)d.setAttribute(f,t.attributes[f]);d.onreadystatechange=d.onload=function(){!p&&c(d.readyState)&&h()},d.onerror=function(){p||h(new Error("Error: could not load "+e))};var m=setTimeout(function(){p||h(new Error("Error: script timeout "+e))},t.timeout);setTimeout(function(){d.src=e;var t=s();t.parentNode.insertBefore(d,t)},0)}else"function"==typeof n&&n();function h(o){p=!0,clearTimeout(m),d.onload=d.onreadystatechange=d.onerror=null,d.parentNode.removeChild(d),o||(l[e]=!0,t.namespaceName?r.loadedUrls=l:i=l),"function"==typeof n&&n(o)}},loadStyleSheet:function(e,t,n){var l,f=i;if("function"==typeof t&&(n=t,t=null),(t=t||{}).timeout=t.timeout||1e4,u(e,t,n),"injectionNode"in t&&!(t.injectionNode instanceof r.Element))throw new Error("`options.injectionNode` must be a DOM node");if(t.namespaceName&&(l=o.namespace(t.namespaceName),f=l.loadedUrls||{}),t.forceLoad||!f[e]){var d,p=a.createElement("link"),m=!1;if(t.attributes)for(d in t.attributes)p.setAttribute(d,t.attributes[d]);p.onreadystatechange=p.onload=function(){!m&&c(p.readyState)&&v()},p.onerror=function(){m||v(new Error("Error: could not load "+e))};var h=setTimeout(p.onerror,t.timeout);setTimeout(function(){p.media="only x",p.rel="stylesheet",p.type="text/css",p.href=e,setTimeout(function(){p.media="all"},0);var n=t.injectionNode||s().parentNode;try{n.appendChild(p)}catch(e){v(new Error("Error: could not append LINK element"))}},0)}else"function"==typeof n&&n();function v(r){m=!0,clearTimeout(h),p.onload=p.onreadystatechange=p.onerror=null,r||(f[e]=!0,t.namespaceName?l.loadedUrls=f:i=f),"function"==typeof n&&n(r)}}}},function(e,t,n){"use strict";n.d(t,"a",function(){return s}),n.d(t,"b",function(){return c}),n.d(t,"c",function(){return b});var r,o,a=n(1),i=n.n(a),s="ADDED",c="REMOVED",u=["data-bv-show","name"],l=[],f="",d=new WeakMap,p=function(e,t){return e.matches?e.matches(t):e.msMatchesSelector(t)},m=function(e){var t=d.get(e);t&&(t.watches.forEach(function(t){(0,t.callback)(c,e)}),t.observer.disconnect(),d.delete(e))},h=function(e){return new i.a.MutationObserver(function(t){t.forEach(function(t){p(e,f)?function(e,t){d.get(e).watches.forEach(function(n){(0,n.callback)("UPDATED",e,t)})}(e,t):m(e)})})},v=function(e,t){var n,r=l.filter(function(t){var n=t.selector;return p(e,n)}),o=r.reduce(function(e,t){var n=t.attributes,r=void 0===n?[]:n;return e.concat(r)},[]),a=r;d.has(e)?(n=d.get(e).observer,t&&(a=[t])):n=h(e),n.observe(e,{attributes:!0,attributeFilter:o.length?o:void 0}),d.set(e,{watches:r,observer:n}),a.forEach(function(t){(0,t.callback)(s,e)})},g=function(e){for(var t=e.length,n=0;n<t;n++){for(var r=e[n],o=r.addedNodes,a=o.length,i=0;i<a;i++){var s=o[i];if((s.matches||s.msMatchesSelector)&&p(s,f))v(s);else if(s.querySelectorAll){var c=s.querySelectorAll(f);if(c.length>0)for(var u=0;u<c.length;u++)v(c[u])}}for(var l=r.removedNodes,d=l.length,h=0;h<d;h++){var g=l[h];if((g.matches||g.msMatchesSelector)&&p(g,f))m(g);else if(g.querySelectorAll){var b=g.querySelectorAll(f);if(b.length>0)for(var y=0;y<b.length;y++)m(b[y])}}if("attributes"===r.type){var w=r.target;(w.matches||w.msMatchesSelector)&&p(w,f)&&v(w)}}},b=function(e){var t=e.selector;l.push(e),f+=""===f?t:",".concat(t),function(e){var t=i.a.document.querySelectorAll(e.selector);Array.prototype.forEach.call(t,function(t){v(t,e)})}(e)};r=document,o={subtree:!0,childList:!0,attributes:!0,attributeFilter:u},new i.a.MutationObserver(g).observe(r,o)},function(e,t,n){var r=n(1);e.exports={create:function(e,t,n,o,a){var i=new Date;i.setTime(i.getTime()+24*n*60*60*1e3);var s=n?";expires="+i.toGMTString():"",c=encodeURIComponent(e)+"="+encodeURIComponent(t)+s+";path=/"+(o?";domain="+o:"")+(a?";secure":"");r.document.cookie=c},read:function(e){var t,n=encodeURIComponent(e)+"=",o=r.document.cookie.split(";");for(t=0;t<o.length;t++){for(var a=o[t];" "===a.charAt(0);)a=a.substring(1,a.length);if(0===a.indexOf(n))return decodeURIComponent(a.substring(n.length,a.length))}return null},remove:function(e){this.create(e,"",-1)}}},function(e,t,n){"use strict";var r=n(23),o=n(10);t.a=function(e,t,n,a){if(r.a&&t.length){Object(r.b)();var i={type:"performance",name:"Display",scope:e,metrics:t};n&&(i.bvProduct=n),a&&(i.bvProductVersion=a),o.a.trackEvent("Diagnostic",i)}}},function(e,t,n){"use strict";n.d(t,"e",function(){return m}),n.d(t,"d",function(){return h}),n.d(t,"b",function(){return g}),n.d(t,"c",function(){return b}),n.d(t,"a",function(){return y});var r=n(1),o=n.n(r),a=n(0),i=n(2),s=n(9),c=n(5),u=n.n(c);function l(){return(l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e}).apply(this,arguments)}var f=function(e){return e.map(function(e){return l({},e,{value:String(e.value)})})},d=function(e){return Object.keys(e).map(function(t){return{name:t,value:e[t]}}).filter(function(e){return void 0!==e.value})},p=function(e){return e&&e!==Math.floor(e)?Number(e.toFixed(2)):e},m=function(){var e=o.a.devicePixelRatio,t=o.a.innerHeight,n=o.a.innerWidth,r=o.a.navigator,a={devicePixelRatio:e,screenHeight:t,screenWidth:n};r.connection&&(a.effectiveType=r.connection.effectiveType,a.downlink=r.connection.downlink);var i=u.a.getEntriesByType("navigation").shift();return i&&["connectEnd","connectStart","domainLookupStart","domainLookupEnd","domComplete","domInteractive","domContentLoadedEventStart","fetchStart","loadEventEnd","requestStart","responseStart","responseEnd","secureConnectionStart"].forEach(function(e){a[e]=p(i[e])}),f(d(a))},h=function(){var e={},t=u.a.getEntriesByType("resource").filter(function(e){return!!e.name.match(s.a.bvLoaderRegex)}).shift();t&&["connectEnd","connectStart","domainLookupStart","domainLookupEnd","domComplete","domInteractive","domContentLoadedEventStart","fetchStart","loadEventEnd","requestStart","responseStart","responseEnd","secureConnectionStart"].forEach(function(n){e[n]=p(t[n])});var n,r,o=(n="requestedApp",r=a.a.apps.map(function(e){return e.name}),r.map(function(e){return{name:n,value:e}})).concat(d(e));return f(o)},v=function(e,t){var n={},r=t?i.a._render.layouts[e].perfMark:i.a[e].perfMark,o=u.a.getEntriesByType("resource").filter(function(t){return!!t.name.match(s.a.appNameRegex(e))||!!t.name.match(s.a.layoutNameRegex(e))}).shift();if(r.bvShow.marks.length&&(n.bvShowProcessed=p(r.bvShow.marks[0].startTime)),r.load.measures.length&&(n.loadTime=p(r.load.measures[0].duration),n.loadStart=p(r.load.measures[0].startTime)),!t&&r.configure.measures.length&&(n.configurationTime=p(r.configuration.measures[0].duration)),r.render.measures.length&&(n.avgRender=p(r.render.measures.reduce(function(e,t){return e+t.duration},0)/r.render.measures.length),n.render=r.render.measures.map(function(e){return p(e.duration)}),n.renderStart=r.render.measures.map(function(e){return p(e.startTime)})),o){var a=o.fetchStart,c=o.transferSize,l=o.responseEnd,m=o.requestStart;n.fetchStart=p(a),n.responseEnd=p(l),m&&(n.transferSize=c,n.ttfb=p(a-m))}return f(d(n))},g=function(e){return v(e,!1)},b=function(e){return v(e,!0)},y=function(){var e={},t=u.a.getEntriesByType("resource"),n=u.a.getEntriesByType("paint"),r={totalPageRequests:0,totalBVRequests:0,totalCachedBVResources:0,totalCachedOtherResources:0,totalCumulativeLoadTime:0,totalCumulativeBVLoadTime:0,totalActualOtherLoadTime:0,totalActualBVLoadTime:0,totalNumOfBVScripts:0,totalNumOfBVAPIRequests:0,totalNumOfBVStylesheets:0,totalNumOfBVImages:0,totalNumOfOtherBVHTTPRequests:0,totalNumOfOtherScripts:0,totalNumOfOtherStylesheets:0,totalNumOfOtherImages:0,totalNumOfOtherHTTPRequests:0,totalNumOfHTTP2Resources:0,totalNumOfHTTP2BVResources:0,pageStatus:document.readyState},o=function(t,n){var r=n.fetchStart,o=n.responseEnd,a=n.requestStart,i=n.responseStart;e["".concat(t,"-fetchStart")]&&(t="".concat(t,"(2)")),e["".concat(t,"-fetchStart")]=p(r),e["".concat(t,"-responseEnd")]=p(o),a&&(e["".concat(t,"-ttfb")]=p(i-a))};if(t.length){var a=0,c=0,m=0;t.forEach(function(t){var n=t.name,u=t.fetchStart,l=t.duration,f=t.responseEnd,d=t.transferSize,h=t.initiatorType,v=t.nextHopProtocol,g=n.toLowerCase().includes("bv")||n.toLowerCase().includes("bazaarvoice");n.toLowerCase().includes("sid.gif")||n.toLowerCase().includes("st.gif")||n.toLowerCase().includes("a.gif")||(r.totalPageRequests++,d&&(e["".concat(n,"-transferSize")]=d),f&&m++,n.toLowerCase().includes("components.js")?o("components.js",t):n.toLowerCase().includes("bv.js")?o("bv.js",t):n.match(s.a.renderRegex)&&(o("render.js",t),e.renderParseComplete=p(i.a._render.perfMark.parseComplete.marks[0].startTime)),r.totalCumulativeLoadTime+=p(l),v.includes("2")&&(r.totalNumOfHTTP2Resources++,(n.includes("bv")||n.includes("bazaarvoice"))&&r.totalNumOfHTTP2BVResources++),g?(r.totalBVRequests++,"css"===h?r.totalNumOfBVStylesheets++:"script"===h?r.totalNumOfBVScripts++:"img"===h?r.totalNumOfBVImages++:"xmlhttprequest"===h||""===h?r.totalNumOfBVAPIRequests++:r.totalNumOfOtherBVHTTPRequests++):"css"===h?r.totalNumOfOtherStylesheets++:"script"===h?r.totalNumOfOtherScripts++:"img"===h?r.totalNumOfOtherImages++:r.totalNumOfOtherHTTPRequests++,g?(r.totalCumulativeBVLoadTime+=l,l<=10&&r.totalCachedBVResources++,u>c?(r.totalActualBVLoadTime+=l,c=f):f>c&&u<c&&(r.totalActualBVLoadTime+=f-c,c=f)):(l<=10&&r.totalCachedOtherResources++,u>a?(r.totalActualOtherLoadTime+=l,a=f):f>a&&u<a&&(r.totalActualOtherLoadTime+=f-a,a=f)))}),l(e,r,{totalCumulativeLoadTime:p(r.totalCumulativeLoadTime),totalCumulativeBVLoadTime:p(r.totalCumulativeBVLoadTime),totalCumulativeOtherLoadTime:p(r.totalCumulativeLoadTime-r.totalCumulativeBVLoadTime),totalActualBVLoadTime:p(r.totalActualBVLoadTime),totalActualOtherLoadTime:p(r.totalActualOtherLoadTime),totalNumOfHTTP1Resources:t.length-r.totalNumOfHTTP2Resources,totalNumOfHTTP1BVResources:r.totalBVRequests-r.totalNumOfHTTP2BVResources,percentResourcesLoaded:p(m/r.totalPageRequests*100)})}return n.length&&n.forEach(function(t){var n=t.name.split("-").map(function(e,t){return t>0?"".concat(e[0].toUpperCase()).concat(e.slice(1,e.length)):e}).join("");e[n]=p(t.startTime)}),f(d(e))}},function(e,t){var n;n=function(){return this}();try{n=n||new Function("return this")()}catch(e){"object"==typeof window&&(n=window)}e.exports=n},function(e,t,n){"use strict";var r=n(31),o=n(35),a=n.n(o),i=n(1),s=n.n(i),c=n(25),u=n(3),l=n(0),f=n(19);function d(){return(d=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e}).apply(this,arguments)}var p=n.n(f)()(l.a.domains,s.a.location.hostname);t.a={createTracker:function(e){var t=e.commonData,n=e.name,o=e.source,i=d({},t);i.locale=l.a.deployment.locale,i.deploymentZone=l.a.deployment.site;var s={name:n,client:l.a.deployment.client,display:u.b||l.a.displayCode,environment:l.a.vpc,source:o,staging:"stg"===l.a.dataEnvironment||"qa"===l.a.vpc,anonymous:r.a.anonymous,brandDomain:p.get("firstPartyCookieEnabled")?p.get("domain"):"",commonData:i,privacy:c.a},f=new a.a(s);return"europe"===l.a.piiDataRegion&&f.setEU(!0),l.a.webAnalyticsIntegrationConfigs&&l.a.webAnalyticsIntegrationConfigs.length&&l.a.webAnalyticsIntegrationConfigs.forEach(function(e){f.configureSCIProvider(e.name,e)}),f}}},function(e,t){function n(e,t){if("."===e.charAt(0)&&t){var n=("."+t).lastIndexOf(e);return n>=0&&n===1+t.length-e.length}return t===e||t==="www."+e}e.exports=function(e,t){var r={},o={isValid:!1,get:function(e){return r[e]}},a=function(e,t){for(var r=0;r<e.length;r++)if(n(e[r].domain,t))return e[r]}(e,t);if(a){for(var i in o.isValid=!0,a)a.hasOwnProperty(i)&&(r[i]=a[i]);r.domain.match(/^(\.\d+){4}$/)&&(r.domain=r.domain.substr(1))}return o}},function(e,t,n){(function(t){var n=Array.prototype,r=n.indexOf,o=n.slice;function a(e){t.console.error(e)}function i(e){this.eventErrorHandler=e}function s(e,t){var n,r,o=this.events=this.events||{},a=e.split(/\s+/),i=a.length;for(n=0;n<i;n++)o[r=a[n]]=o[r]||[],o[r].push(t);return this}function c(e,t){var n=function(){this.off(e,n),t.apply(this,o.call(arguments))};return this.on(e,n),this}function u(e,t){var n,r,o,a,i,s=this.events;if(s){for(r=0,a=(i=e.split(/\s+/)).length;r<a;r++)(n=i[r])in s!=!1&&-1!==(o=t?f(s[n],t):0)&&s[n].splice(o,1);return this}}function l(e){var t,n,r=this.events;if(r&&e in r!=!1){for(t=o.call(arguments,1),n=r[e].length-1;n>=0;n--)try{r[e][n].apply(this,t)}catch(n){(this.eventErrorHandler||a).call(this,n,{event:e,data:t})}return this}}function f(e,t){var n,o;if(r&&e.indexOf===r)return e.indexOf(t);for(n=0,o=e.length;n<o;n++)if(e[n]===t)return n;return-1}e.exports=function(){return this.on=s,this.off=u,this.trigger=this.emit=l,this.one=this.once=c,this.setErrorHandler=i,this}}).call(this,n(17))},function(e,t,n){"use strict";n.d(t,"a",function(){return r}),n.d(t,"b",function(){return o}),n.d(t,"c",function(){return a});var r="color:black; font-size:1.1em; font-weight:bold;",o="color: #0b6392; font-size:1.1em; text-decoration:none; font-weight:normal;",a="font-size:1.0em; font-weight:lighter;"},function(e,t,n){"use strict";t.a=function(e,t){Object.keys(t).forEach(function(n){void 0!==t[n]&&Object.defineProperty(e,n,{value:t[n]})})}},function(e,t,n){"use strict";n.d(t,"b",function(){return o}),n.d(t,"a",function(){return a});var r=n(14),o=function(){return r.create("bv_metrics",!0,72e5/864e5),!0},a=!!r.read("bv_metrics")||!Math.floor(1e3*Math.random())&&o()},function(e,t,n){"use strict";(function(e){n.d(t,"a",function(){return E});var r=n(14),o=n.n(r),a=n(1),i=n.n(a),s=n(2),c=n(0),u=n(36);function l(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){if("undefined"==typeof Symbol||!(Symbol.iterator in Object(e)))return;var n=[],r=!0,o=!1,a=void 0;try{for(var i,s=e[Symbol.iterator]();!(r=(i=s.next()).done)&&(n.push(i.value),!t||n.length!==t);r=!0);}catch(e){o=!0,a=e}finally{try{r||null==s.return||s.return()}finally{if(o)throw a}}return n}(e,t)||function(e,t){if(!e)return;if("string"==typeof e)return f(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);"Object"===n&&e.constructor&&(n=e.constructor.name);if("Map"===n||"Set"===n)return Array.from(n);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return f(e,t)}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function f(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=new Array(t);n<t;n++)r[n]=e[n];return r}var d=14,p="baseline",m=864e5,h=60*m,v="bv_segment",g="bv_segment",b=Math.random();function y(){return Object(u.a)(c.a.paths.splitTests).then(function(e){return e.tests},function(){return[]})}function w(e){var t;try{var n=e.filter(function(e){return t=e,!(new Date(t.start).getTime()+(t.duration||h)<Date.now()||t.forceExpire);var t}),r=n.filter(function(e){var t=e.clients;if(!t)return!1;return-1!==t.indexOf(s.a.global.client)}),o=n.filter(function(e){return!e.clients}),a=r.length>0?r:o;a.sort(function(e,t){return new Date(e.startDate)-new Date(t.startDate)}),t=a.shift()}catch(e){throw new Error("Something went wrong when choosing a split test.\n      Please ensure that all defined tests are valid. ".concat(e))}return t}function E(){if(!c.a.splitTestingEnabled)return e.resolve(p);var t,n=(t=g,i.a.location.search.substr(1).split("&").filter(function(e){return e.split("=")[0]===t}).map(function(e){return e.split("=")[1]})[0]);if(n)return e.resolve(n);var r=o.a.read(v);if(r){var a;try{a=JSON.parse(r)}catch(e){}if(a){var s=a.segment;if(s){var u=e.resolve(s);return u.then(function(){return e=a.testId,void y().then(function(t){var n=l(t.filter(function(t){return t.id===e}),1)[0];n&&n.forceExpire&&o.a.remove(v)});var e}),u}}}return y().then(w).then(function(e){if(!e)return p;var t=new Date(e.start).getTime();if(t<=Date.now()){var n=function(e){return((arguments.length>1&&void 0!==arguments[1]?arguments[1]:d*m)-(Date.now()-e))/m}(t,e.duration);if(n>0){var r=e.id,a=function(){for(var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=0,n=Object.keys(e).sort();n.length;){var r=n.pop(),o=e[r];if(b<=t+o)return r;t+=o}return p}(e.splits),i=JSON.stringify({testId:r,segment:a});return o.a.create(v,i,n),a||p}}})}}).call(this,n(6))},function(e,t,n){"use strict";var r=n(7),o=n(20),a=n.n(o),i=n(0),s=Object(r.b)(),c={},u=!i.a.cookiesOptIn,l=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:u,t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"default";c.cookies={consent:e,source:t}},f={};a.a.call(f);var d=function(e){if("cookies"===e){var t=s.get("cookies");void 0===t?l():l("true"===t.toLowerCase(),"site"),f.trigger("change","cookies")}};s.on("change",d),d("cookies"),Object.defineProperty(f,"cookies",{get:function(){return c.cookies},set:function(e){l(e&&!0===e.consent,"manual"),f.trigger("change","cookies")}}),t.a=f},function(e,t,n){"use strict";(function(e){n.d(t,"a",function(){return i});var r,o=n(12),a=n.n(o),i=function(){var t={timeout:6e4};return r||(r=new e(function(e,n){a.a.loadScript("https://analytics-static.ugc.bazaarvoice.com/prod/static/3/bv-analytics.js",t,function(t){t?n(t):e()})}))}}).call(this,n(6))},function(e,t,n){"use strict";(function(e){n.d(t,"a",function(){return u}),n.d(t,"b",function(){return f});var r=n(8),o=n(0),a=n(44),i=n(13),s=o.a.apps.reduce(function(e,t){var n=t.publicName;return e[t.name]=n,e},{}),c=Object.keys(s).reduce(function(e,t){return e[s[t]]=function(){},e},{}),u=function(t,n,o){var a=t.config.name,i=s[a],u=o.bvShow=o.createMark("bvShow");i&&(c[i]=function(){n()(),t.ready(function(){u.start(),r.e(i,function(n){e.BV&&e.BV.Spotlights&&"spotlights"===i&&delete e.BV.Spotlights,t.trigger("container_added",n)}),r.d(i,function(e){t.trigger("container_removed",e)})}),c[i]=function(){}})},l=function(e){e.forEach(function(e){var t=e.dataset[r.a];c[t]&&c[t]()})},f=function(){i.c({selector:"[data-bv-show]",attributes:a.a,callback:function(e,t){var n=[t];e===i.a?(l(n),r.c(n)):e===i.b?r.b(n):(l(n),r.b(n),r.c(n,!0))}})}}).call(this,n(17))},function(e,t,n){var r=n(1),o=n(29).timeline,a=r.performance,i=a&&a.getEntries,s="function"==typeof i;function c(){return i.call(a)}function u(){return o}e.exports={getEntries:function(){return(s?c:u)()}}},function(e,t){e.exports={timeline:[]}},function(e,t,n){var r=n(1),o=n(56),a=r.performance,i=a&&a.now,s="function"==typeof i,c=o.now();function u(){return i.call(a)}function l(){return o.now()-c}a&&a.timing&&"number"==typeof a.timing.navigationStart&&(c=a.timing.navigationStart),e.exports={now:function(){return(s?u:l)()}}},function(e,t,n){"use strict";(function(e,r){var o=n(24),a=n(19),i=n.n(a),s=n(0),c=n(2),u=n(22),l=n(7);c.a.global={},Object(u.a)(c.a.global,{client:s.a.deployment.client,dataEnvironment:s.a.dataEnvironment,serverEnvironment:s.a.serverEnvironment,locale:s.a.deployment.locale,anonymous:!i()(s.a.domains,e.location.hostname).get("thirdPartyCookieEnabled"),siteId:s.a.deployment.site,virtualEnvironment:s.a.deployment.virtualEnvironment,ponyfills:{Promise:r},SystemJS:{},meta:Object(l.b)()}),Object(u.a)(c.a.global,{loadUserSegment:Object(o.a)()}),Object.freeze(c.a.global),t.a=c.a.global}).call(this,n(17),n(6))},function(e,t,n){var r=n(1);function o(e){this.name=e}o.prototype.registerProperty=function(e,t){if(this.hasOwnProperty(e))throw new Error("Cannot register "+e+" because a property with that name already exists on window."+this.name);return this[e]=t,this},e.exports={namespace:function(e){if(void 0===r[e])Object.defineProperty(r,e,{value:new o(e)});else{if("object"!=typeof r[e])throw new Error("Namespace "+e+" cannot be created. A non-object variable is already assigned to window."+e);if(!(r[e]instanceof o))for(var t in o.call(r[e],e),o.prototype)r[e][t]=o.prototype[t]}return r[e]}}},function(e,t,n){(function(t){function n(e,t,n){if("function"!=typeof t)throw new Error("A function must be provided to process the queue");var r=e.length;function o(){var r=e.shift();n?t(r):setTimeout(function(){t(r)},0)}for(;e.length>0;)o();return r}function r(e){return this.config=e,this._readyQueue=[],this._renderQueue=[],this._configQueue=[],this._promise=new t(function(e,t){this._resolve=e,this._reject=t}.bind(this)),this}r.prototype.ready=function(e){return"function"==typeof e&&this._readyQueue.push(e),this._promise},r.prototype.render=function(e){return this._renderQueue.push(e)},r.prototype.configure=function(e){return this._configQueue.push(e)};r.prototype.processReady=function(e){var t=function(e,t){"function"==typeof t&&t(e,this)}.bind(this,e);n.call(this,this._readyQueue,t,!0),this._readyQueue.push=t,this.ready=function(e){return t(e),this._promise},e?this._reject(e):this._resolve(this)},r.prototype.processQueue=function(e){n.call(this,this._renderQueue,e),this.render=this._renderQueue.push=e},r.prototype.processConfig=function(e){n.call(this,this._configQueue,e,!0),this.configure=this._configQueue.push=e},e.exports=r}).call(this,n(6))},function(e,t,n){var r=n(1),o=n(28).getEntries,a=r.performance,i=a&&a.getEntriesByType,s="function"==typeof i;function c(e){return i.call(a,e)}function u(e){if(0===arguments.length)throw new TypeError("Failed to execute 'getEntriesByType' on 'Performance': 1 argument required, but only 0 present.");return o().filter(function(t){return t.entryType===e})}e.exports={getEntriesByType:function(e){var t=arguments.length>0,n=s?c:u;return t?n(e):n()}}},function(e,t,n){var r,o,a;o=[],void 0===(a="function"==typeof(r=function(){function e(e){if(!(e=e||{}).name||"string"!=typeof e.name)throw new TypeError("config.name is required and must be string");this.name=e.name,this.commonData=e.commonData||{},this._verify(),this.q.push(["create",e]);for(var t,n,r=["Staging","Audience","Anonymous"],o=0;o<r.length;o++)((n=e[(t=r[o]).toLowerCase()])||e.hasOwnProperty(t.toLowerCase()))&&this["set"+t](n);e.validationCallback&&this.enableValidation(e.validationCallback),!1===e.timing&&this.disableTiming(),e.brandDomain&&this.setBrandDomain(e.brandDomain),e.eventClassFilter&&this.setEventClassFilter(e.eventClassFilter)}return function(){function t(){for(var e=n(arguments),t=1;t<e.length;t++)if(null!==e[t]&&"object"==typeof e[t])for(var r in e[t])e[t].hasOwnProperty(r)&&(e[0][r]=e[t][r]);return e[0]}function n(e){return Array.prototype.slice.call(e)}var r,o,a,i,s,c,u=["setClient","setDisplay","setAnonymous","setBrandDomain","setSource","setEnvironment","setAudience","setStaging","setEventClassFilter","setEU"],l={};function f(e){return function(){this._verify();var t=n(arguments);t.unshift(e),t.push(this.name),this.q.push(t)}}for(var d,p=0;p<u.length;p++)l[d=u[p]]=f(d);t(l,{_verify:function(){window._bvaq=window._bvaq||[],this.q=window._bvaq},_flushBatch:(r=function(){this._verify(),this.q.push(["flushBatch",this.name])},c=o||250,function(){var e=a||this,t=+new Date,n=arguments;i&&t<i+c?(clearTimeout(s),s=setTimeout(function(){i=t,r.apply(e,n)},c)):(i=t,r.apply(e,n))}),loadScript:function(e){var t=e||"latest",n=document.createElement("script");n.type="text/javascript",n.async=!0;var r="http:";"https:"===window.location.protocol&&(r="https:"),n.src=r+"//analytics-static.ugc.bazaarvoice.com/prod/static/"+t+"/bv-analytics.js";var o=document.getElementsByTagName("script")[0];o.parentNode.insertBefore(n,o)},setCommonData:function(e){t(this.commonData,e)},configureSCIProvider:function(e,t){this._verify(),this.q.push(["configureSCIProvider",e,t,this.name])},enableValidation:function(e){this._verify(),this.q.push(["enableValidation",e,this.name])},disableValidation:function(){this._verify(),this.q.push(["disableValidation",this.name])},enableTiming:function(){this._verify(),this.q.push(["enableTiming",this.name])},disableTiming:function(){this._verify(),this.q.push(["disableTiming",this.name])},addMeta:function(e,t){this._verify(),this.q.push(["addMeta",e,t,this.name])},removeMeta:function(e){this._verify(),this.q.push(["removeMeta",e,this.name])},trackEvent:function(e,n){this._verify(),this.q.push(["addBatchItem",e,t({},this.commonData,n),this.name]),this._flushBatch()},trackPageView:function(e){this._verify(),this.q.push(["trackPageView",t({},this.commonData,e),this.name])},trackError:function(e){this._verify(),this.q.push(["trackEvent","Error",t({},this.commonData,e),this.name])},trackConversion:function(e){this._verify(),this.q.push(["trackConversion",t({},this.commonData,e),this.name])},trackTransaction:function(e){this._verify(),this.q.push(["trackTransaction",t({},this.commonData,e),this.name])},trackImpression:function(e){this._verify(),this.trackEvent("Impression",t({},this.commonData,e),this.name)},doNotTrack:function(e){this._verify(),this.q.push(["doNotTrack",e,this.name])}}),t(e.prototype,l),function(){var n,r=[],o=0,a=250;function i(e,n){if(!(e=t({minPixels:100,minTime:5e3},e)).containerId)throw new Error("No containerId specified.");return e.observerId=o++,e.callback=function(t){c(e.observerId),n(t)},r.push(e),s(),e.observerId}function s(){var e="number"==typeof n;r.length>=1&&!e?n=setInterval(f,a):0===r.length&&e&&(clearInterval(n),n=null)}function c(e){for(var t=0;t<r.length;t++)r[t].observerId===e&&(r.splice(t,1),s())}function u(){var e=window.document&&window.document.documentElement;return{height:window.innerHeight||e.clientHeight,width:window.innerWidth||e.clientWidth}}function l(e){var t,n=e.getBoundingClientRect(),r=u().height;return n.top<=0?(t=Math.max(n.top+n.height,0),t=Math.min(t,r)):n.top>=r?0:Math.min(r-n.top,n.height)}function f(){for(var e,t,n,o,a,i,s=0;s<r.length;s++)n=r[s],e=document.getElementById(n.containerId),t=+new Date,e?(o=void 0,a=void 0,i=void 0,a=e.getBoundingClientRect(),i=u().width,(a.left<=0?(o=Math.max(a.left+a.width,0),o=Math.min(o,i)):a.left>=i?0:Math.min(i-a.left,a.width))<=0?delete n.inViewAt:l(e)<n.minPixels?delete n.inViewAt:n.inViewAt?t-n.inViewAt>n.minTime&&n.callback():(n.inViewAt=t,0===n.minTime&&n.callback())):delete n.inViewAt}function d(e){this.id=e}d.prototype.remove=function(){c(this.id)},e.prototype.trackEventWhenVisible=function(e,n){var r=this;if(!e||"string"!=typeof e.cl)throw new TypeError("data.cl must exist and be a string");return new d(i(n,function(){var n=t({},r.commonData,e);r.trackEvent(n.cl,n)}))},e.prototype.trackInView=function(e,n){var r=this;return new d(i(n=t({},n,{minTime:0}),function(){var n=t({},r.commonData,e,{name:"InView",type:"Used",interaction:"0"});r.trackEvent("Feature",n)}))},e.prototype.trackViewedCGC=function(e,n){var r=this;return new d(i(n,function(){var n=t({},r.commonData,e,{name:"ViewedUGC",type:"Used",interaction:"1"});r.trackEvent("Feature",n)}))}}()}(),e})?r.apply(t,o):r)||(e.exports=a)},function(e,t,n){"use strict";(function(e){n.d(t,"a",function(){return a});var r=1e4,o=new Map;function a(t){var n=o.get(t);if(n)return n;var a=new XMLHttpRequest;return n=new e(function(e,n){a.onreadystatechange=function(){if(a.readyState===XMLHttpRequest.DONE)if(200===a.status){var t;try{t=JSON.parse(a.responseText)}catch(e){n("Unable to JSON.parse server response: ".concat(a.responseText,"."))}e(t)}else n("The call to the server was not successful.")},a.open("GET",t,!0),a.timeout=r,a.ontimeout=function(){a.abort()},a.send()}),o.set(t,n),n}}).call(this,n(6))},function(e,t,n){var r,o,a;!function(i,s){"use strict";o=[n(51)],void 0===(a="function"==typeof(r=function(e){var t=/(^|@)\S+\:\d+/,n=/^\s*at .*(\S+\:\d+|\(native\))/m,r=/^(eval@)?(\[native code\])?$/;return{parse:function(e){if(void 0!==e.stacktrace||void 0!==e["opera#sourceloc"])return this.parseOpera(e);if(e.stack&&e.stack.match(n))return this.parseV8OrIE(e);if(e.stack)return this.parseFFOrSafari(e);throw new Error("Cannot parse given Error object")},extractLocation:function(e){if(-1===e.indexOf(":"))return[e];var t=/(.+?)(?:\:(\d+))?(?:\:(\d+))?$/.exec(e.replace(/[\(\)]/g,""));return[t[1],t[2]||void 0,t[3]||void 0]},parseV8OrIE:function(t){var r=t.stack.split("\n").filter(function(e){return!!e.match(n)},this);return r.map(function(t){t.indexOf("(eval ")>-1&&(t=t.replace(/eval code/g,"eval").replace(/(\(eval at [^\()]*)|(\)\,.*$)/g,""));var n=t.replace(/^\s+/,"").replace(/\(eval code/g,"("),r=n.match(/ (\((.+):(\d+):(\d+)\)$)/),o=(n=r?n.replace(r[0],""):n).split(/\s+/).slice(1),a=this.extractLocation(r?r[1]:o.pop()),i=o.join(" ")||void 0,s=["eval","<anonymous>"].indexOf(a[0])>-1?void 0:a[0];return new e({functionName:i,fileName:s,lineNumber:a[1],columnNumber:a[2],source:t})},this)},parseFFOrSafari:function(t){var n=t.stack.split("\n").filter(function(e){return!e.match(r)},this);return n.map(function(t){if(t.indexOf(" > eval")>-1&&(t=t.replace(/ line (\d+)(?: > eval line \d+)* > eval\:\d+\:\d+/g,":$1")),-1===t.indexOf("@")&&-1===t.indexOf(":"))return new e({functionName:t});var n=/((.*".+"[^@]*)?[^@]*)(?:@)/,r=t.match(n),o=r&&r[1]?r[1]:void 0,a=this.extractLocation(t.replace(n,""));return new e({functionName:o,fileName:a[0],lineNumber:a[1],columnNumber:a[2],source:t})},this)},parseOpera:function(e){return!e.stacktrace||e.message.indexOf("\n")>-1&&e.message.split("\n").length>e.stacktrace.split("\n").length?this.parseOpera9(e):e.stack?this.parseOpera11(e):this.parseOpera10(e)},parseOpera9:function(t){for(var n=/Line (\d+).*script (?:in )?(\S+)/i,r=t.message.split("\n"),o=[],a=2,i=r.length;a<i;a+=2){var s=n.exec(r[a]);s&&o.push(new e({fileName:s[2],lineNumber:s[1],source:r[a]}))}return o},parseOpera10:function(t){for(var n=/Line (\d+).*script (?:in )?(\S+)(?:: In function (\S+))?$/i,r=t.stacktrace.split("\n"),o=[],a=0,i=r.length;a<i;a+=2){var s=n.exec(r[a]);s&&o.push(new e({functionName:s[3]||void 0,fileName:s[2],lineNumber:s[1],source:r[a]}))}return o},parseOpera11:function(n){var r=n.stack.split("\n").filter(function(e){return!!e.match(t)&&!e.match(/^Error created at/)},this);return r.map(function(t){var n,r=t.split("@"),o=this.extractLocation(r.pop()),a=r.shift()||"",i=a.replace(/<anonymous function(: (\w+))?>/,"$2").replace(/\([^\)]*\)/g,"")||void 0;a.match(/\(([^\)]*)\)/)&&(n=a.replace(/^[^\(]+\(([^\)]*)\)$/,"$1"));var s=void 0===n||"[arguments not available]"===n?void 0:n.split(",");return new e({functionName:i,args:s,fileName:o[0],lineNumber:o[1],columnNumber:o[2],source:t})},this)}}})?r.apply(t,o):r)||(e.exports=a)}()},function(e,t,n){"use strict";(function(e){var n=this&&this.__spreadArrays||function(){for(var e=0,t=0,n=arguments.length;t<n;t++)e+=arguments[t].length;var r=Array(e),o=0;for(t=0;t<n;t++)for(var a=arguments[t],i=0,s=a.length;i<s;i++,o++)r[o]=a[i];return r};Object.defineProperty(t,"__esModule",{value:!0});var r=function(){return function(e,t,n){this.name=e,this.version=t,this.os=n}}();t.BrowserInfo=r;var o=function(){return function(t){this.version=t,this.name="node",this.os=e.platform}}();t.NodeInfo=o;var a=function(){return function(){this.bot=!0,this.name="bot",this.version=null,this.os=null}}();t.BotInfo=a;var i=3,s=[["aol",/AOLShield\/([0-9\._]+)/],["edge",/Edge\/([0-9\._]+)/],["yandexbrowser",/YaBrowser\/([0-9\._]+)/],["vivaldi",/Vivaldi\/([0-9\.]+)/],["kakaotalk",/KAKAOTALK\s([0-9\.]+)/],["samsung",/SamsungBrowser\/([0-9\.]+)/],["silk",/\bSilk\/([0-9._-]+)\b/],["miui",/MiuiBrowser\/([0-9\.]+)$/],["beaker",/BeakerBrowser\/([0-9\.]+)/],["edge-chromium",/Edg\/([0-9\.]+)/],["chromium-webview",/(?!Chrom.*OPR)wv\).*Chrom(?:e|ium)\/([0-9\.]+)(:?\s|$)/],["chrome",/(?!Chrom.*OPR)Chrom(?:e|ium)\/([0-9\.]+)(:?\s|$)/],["phantomjs",/PhantomJS\/([0-9\.]+)(:?\s|$)/],["crios",/CriOS\/([0-9\.]+)(:?\s|$)/],["firefox",/Firefox\/([0-9\.]+)(?:\s|$)/],["fxios",/FxiOS\/([0-9\.]+)/],["opera-mini",/Opera Mini.*Version\/([0-9\.]+)/],["opera",/Opera\/([0-9\.]+)(?:\s|$)/],["opera",/OPR\/([0-9\.]+)(:?\s|$)/],["ie",/Trident\/7\.0.*rv\:([0-9\.]+).*\).*Gecko$/],["ie",/MSIE\s([0-9\.]+);.*Trident\/[4-7].0/],["ie",/MSIE\s(7\.0)/],["bb10",/BB10;\sTouch.*Version\/([0-9\.]+)/],["android",/Android\s([0-9\.]+)/],["ios",/Version\/([0-9\._]+).*Mobile.*Safari.*/],["safari",/Version\/([0-9\._]+).*Safari/],["facebook",/FBAV\/([0-9\.]+)/],["instagram",/Instagram\s([0-9\.]+)/],["ios-webview",/AppleWebKit\/([0-9\.]+).*Mobile/],["ios-webview",/AppleWebKit\/([0-9\.]+).*Gecko\)$/],["searchbot",/alexa|bot|crawl(er|ing)|facebookexternalhit|feedburner|google web preview|nagios|postrank|pingdom|slurp|spider|yahoo!|yandex/]],c=[["iOS",/iP(hone|od|ad)/],["Android OS",/Android/],["BlackBerry OS",/BlackBerry|BB10/],["Windows Mobile",/IEMobile/],["Amazon OS",/Kindle/],["Windows 3.11",/Win16/],["Windows 95",/(Windows 95)|(Win95)|(Windows_95)/],["Windows 98",/(Windows 98)|(Win98)/],["Windows 2000",/(Windows NT 5.0)|(Windows 2000)/],["Windows XP",/(Windows NT 5.1)|(Windows XP)/],["Windows Server 2003",/(Windows NT 5.2)/],["Windows Vista",/(Windows NT 6.0)/],["Windows 7",/(Windows NT 6.1)/],["Windows 8",/(Windows NT 6.2)/],["Windows 8.1",/(Windows NT 6.3)/],["Windows 10",/(Windows NT 10.0)/],["Windows ME",/Windows ME/],["Open BSD",/OpenBSD/],["Sun OS",/SunOS/],["Chrome OS",/CrOS/],["Linux",/(Linux)|(X11)/],["Mac OS",/(Mac_PowerPC)|(Macintosh)/],["QNX",/QNX/],["BeOS",/BeOS/],["OS/2",/OS\/2/],["Search Bot",/(nuhk)|(Googlebot)|(Yammybot)|(Openbot)|(Slurp)|(MSNBot)|(Ask Jeeves\/Teoma)|(ia_archiver)/]];function u(e){var t=""!==e&&s.reduce(function(t,n){var r=n[0],o=n[1];if(t)return t;var a=o.exec(e);return!!a&&[r,a]},!1);if(!t)return null;var o=t[0],c=t[1];if("searchbot"===o)return new a;var u=c[1]&&c[1].split(/[._]/).slice(0,3);return u?u.length<i&&(u=n(u,function(e){for(var t=[],n=0;n<e;n++)t.push("0");return t}(i-u.length))):u=[],new r(o,u.join("."),l(e))}function l(e){for(var t=0,n=c.length;t<n;t++){var r=c[t],o=r[0];if(r[1].test(e))return o}return null}function f(){return void 0!==e&&e.version?new o(e.version.slice(1)):null}t.detect=function(e){return e?u(e):"undefined"!=typeof navigator?u(navigator.userAgent):f()},t.parseUserAgent=u,t.detectOS=l,t.getNodeVersion=f}).call(this,n(53))},function(e,t,n){"use strict";var r=n(5),o=n.n(r),a=void 0,i=0,s=function(e){o.a.mark(e)},c=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return t.join("_")},u=c("BV","PERF","MARK"),l=function e(t){for(var n=arguments.length,r=new Array(n>1?n-1:0),i=1;i<n;i++)r[i-1]=arguments[i];if(r.length){var u=c(t,r.shift());return e.call.apply(e,[a,u].concat(r))}var l=[],f=[],d=function(e){s(e?c(t,e):t);var n=o.a.getEntriesByType("mark"),r=n[n.length-1];return l.push(r),r},p={createMark:{configurable:!0,enumerable:!0,value:e.bind(a,t)},marks:{configurable:!0,enumerable:!0,get:function(){return l}},measures:{configurable:!0,enumerable:!0,get:function(){return f}},start:{configurable:!0,enumerable:!0,value:function(){return e=d("start"),function(){var n=d("end");o.a.measure(t);var r=o.a.getEntriesByType("measure"),a=r[r.length-1];return Object.defineProperties(a,{startTime:{configurable:!0,enumerable:!0,value:e.startTime,writable:!1},duration:{configurable:!0,enumerable:!0,value:n.startTime-e.startTime,writable:!1}}),l.push(n),f.push(a),n};var e}}};return Object.defineProperties(d,p),d};t.a={createMark:function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];return l.call.apply(l,[a,c(u,e||++i)].concat(n))}}},function(e,t,n){"use strict";(function(e){n.d(t,"a",function(){return d});var r=n(19),o=n.n(r),a=n(0),i=n(4),s=n.n(i),c=n(9),u=n(21),l=e.location.hostname,f=o()(a.a.domains,l);function d(){!function(e){if(!e.isValid)throw"Bazaarvoice is not configured for the domain ".concat(l,".")}(f),function(e){if(e&&e.src){var t=c.a.parseClient(e.src),n=t&&t.toLowerCase();if(t&&t!==n){var r=e.src.replace("/deployments/".concat(t),"/deployments/".concat(n));console.warn("%cYou are using a cased client name (%c".concat(t,"%c) in the bv.js URL.\n        Please use this URL instead: %c").concat(r,"%c.\n        For details, see the Conversations Implementation section of https://knowledge.bazaarvoice.com."),u.b,u.a,u.b,u.c,u.b)}}}(s.a)}}).call(this,n(17))},function(e,t,n){"use strict";(function(e){n.d(t,"a",function(){return g});var r=n(33),o=n.n(r),a=n(20),i=n.n(a),s=n(2),c=n(11),u=n(18),l=n(7),f=n(3),d=n(27),p=n(46),m=n(10),h=e.BV,v=l.a();function g(t,n){var r=n.createMark("register",t.name);r.end=r.start();var a=new o.a({name:t.name});s.a.registerProperty(t.name,a);var i=n.createMark("app",t.name),l=i.createMark("configure"),g=i.createMark("load"),b=i.createMark("render");i.configure=l,i.load=g,i.render=b,s.a[t.name].perfMark=i;var y=s.a[t.name]._analytics=u.a.createTracker({name:t.name,source:"bv-loader"});h.global.loadUserSegment.then(function(e){y.setCommonData({displaySegment:e})}),"api"===t.name&&(s.a[t.name].analytics=y),a.setErrorHandler(function(n,r){return function(t,n,r){n instanceof Error||(n=new Error(n));var o=e.console;o&&o.error&&o.error(n),s.a[t]._analytics.trackError({message:n.message||n,stack:n.stack,type:"BV Application ".concat(r.event," ").concat(n.name||"Error")}),Object(c.a)().then(function(e){r.app=t,e(n,{extra:r})})}(t.name,n,r)});var w=function(){v.some(function(e){return~[t.name,t.publicName].indexOf(e)})?m.a.trackEvent("Feature",{type:"Used",name:"AppDisabled",detail1:t.name}):Object(p.a)(t,a,i),w=function(){}};if(f.d.some(function(e){return e===t.name})||!t.defer)w();else{var E=a.configure,S=a.ready,k=a.render;["configure","ready","render"].forEach(function(e){a[e]=function(){return function(e,t){return w(),a.configure=E,a.ready=S,a.render=k,a[e].apply(this,t)}.call(this,e,arguments)}})}Object(d.a)(a,function(){return w},i),r.end()}i.a.call(o.a.prototype)}).call(this,n(17))},function(e,t,n){"use strict";(function(e){n.d(t,"a",function(){return i});var r=n(16),o=n(15),a=n(11);function i(t,n,i,s){return s.load.end(),t&&(Object(a.a)().then(function(e){e(t)}),i.processReady(t)),new e(function(e){i.ready(function(){setTimeout(function(){e()},0)}),setTimeout(function(){e()},3e3)}).then(function(){Object(o.a)(n.name,Object(r.b)(n.name),n.name,n.version)})}}).call(this,n(6))},function(e,t,n){(function(t){var r,o=n(59),a={},i=/function\s+([^\(\s]+)/;e.exports=function(e){return new t(function(t){o(function(){var n=e.name;n||(n=i.exec(e.toString())[1]),r||((r=document.createElement("iframe")).src="about:blank",r.style.display="none",r.height="0",r.width="0",r.tabIndex="-1",r.title="empty",r.className="hidden",document.body.appendChild(r)),a[n]||(a[n]=r.contentWindow[n]),t(a[n])})})}}).call(this,n(6))},function(e,t,n){"use strict";n.d(t,"a",function(){return r});var r=["data-bv-product-id","data-bv-productId","data-bv-productid","data-bv-show","data-bv-subject-id"]},function(e,t,n){"use strict";(function(e){var r=n(1),o=n.n(r),a=n(12),i=n.n(a),s=n(0),c=n(3),u=n(7);function l(){return(l=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e}).apply(this,arguments)}var f=o.a.console,d=!1;function p(){var t=this;this.promiseRef=new e(function(e,n){l(t,{resolve:e,reject:n})})}t.a=function(){return function(){var e=o.a.$BV||[],t={_apiQueue:[],log:function(){f&&f.log&&f.log(arguments)},push:function(e){d||function(){if(!s.a.isConversations&&(c.c&&(s.a.legacyScoutUrl=s.a.legacyScoutUrl.replace(/^(https?:\/\/)([^\/]+)/,"$1".concat(c.c))),c.b&&(s.a.legacyScoutUrl=s.a.legacyScoutUrl.replace(/\/+([^\/]+)\/bvapi.js/,"/".concat(c.b,"/bvapi.js"))),/\[HOSTNAME\]/.test(s.a.legacyScoutUrl)||/\[DISPLAYCODE\]/.test(s.a.legacyScoutUrl)))throw Error('Could not determine display code and hostname. Contact Bazaarvoice Support to configure your implementation, or provide explicit "data-bv-display-code" and "data-bv-hostname" attributes.');d=!0,i.a.loadScript(s.a.legacyScoutUrl)}(),t._apiQueue.push(e)}},n=u.d();n&&t._apiQueue.push(["configure","global",{userToken:n}]),e.forEach(function(e){t.push(e)});return["ui","configure","container","ready","SI.trackProductPageView","SI.trackGenericPageView","SI.trackTransactionPageView","SI.disable","SI.enable","SI.setDebugEnabled","SI.trackConversion","DSI.trackBVPageView","DSI.trackProduct","DSI.trackTransaction"].forEach(function(e){!function(e,n){for(var r,o=n.split("."),a=o.pop(),i=o.shift();i;)e=e[i]=e[i]||{},i=o.shift();e[a]=(r=n.replace(/\./g,"_"),function(){for(var e,n=[r],o=0,a=arguments.length;o<a;o++)n.push(arguments[o]);return"ui"!==r?t.push(n):((e=n[3]=n[3]||{}).loadedDeferred=e.loadedDeferred||new p,t.push(n),e.loadedDeferred.promise())})}(t,e)}),t}()},p.prototype.promise=function(){return this.promiseRef}}).call(this,n(6))},function(e,t,n){"use strict";var r=n(12),o=n.n(r),a=n(42);function i(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){if("undefined"==typeof Symbol||!(Symbol.iterator in Object(e)))return;var n=[],r=!0,o=!1,a=void 0;try{for(var i,s=e[Symbol.iterator]();!(r=(i=s.next()).done)&&(n.push(i.value),!t||n.length!==t);r=!0);}catch(e){o=!0,a=e}finally{try{r||null==s.return||s.return()}finally{if(o)throw a}}return n}(e,t)||function(e,t){if(!e)return;if("string"==typeof e)return s(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);"Object"===n&&e.constructor&&(n=e.constructor.name);if("Map"===n||"Set"===n)return Array.from(n);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return s(e,t)}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function s(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=new Array(t);n<t;n++)r[n]=e[n];return r}var c=document.createElement("script"),u=window.navigator.userAgent.toLowerCase(),l={noModule:"noModule"in c,isFirefox:!!~u.indexOf("firefox"),isChrome:!!~u.indexOf("chrome")};l.isSafari=!l.isChrome&&!!~u.indexOf("safari"),l.doModernLoad=l.isSafari&&l.noModule?function(){var e=u.match(/macintosh.+mac os x (\d+)_(\d+)_\d+\)/),t=u.match(/version\/(\d+)\.\d+\.\d+ safari\/\d+\.\d+\.\d/);if(e){var n=i(e,3),r=n[1],o=n[2];if(Number(r)>=10&&Number(o)>=13&&t){var a=i(t,2)[1];return Number(a)>=11}return!1}return!0}():!l.noModule&&l.isFirefox?function(){var e=u.match(/(?:firefox\/)([\d.]+)/);if(e&&e.length){var t=i(e,2)[1];return Number(t)>54}return!1}():l.noModule;var f=l;function d(e,t,n){n.load.end=n.load.start();var r=e.sourcePath;e.legacyPath&&!f.doModernLoad&&(r=e.legacyPath);if(o.a.loadScript(r,{timeout:6e4},function(r){Object(a.a)(r,e,t,n)}),e.configUrl){var i=n.createMark("load","config");i.end=i.start(),o.a.loadScript(e.configUrl,{timeout:3e4},function(){i.end()})}}n.d(t,"a",function(){return d})},function(e,t,n){"use strict";n.r(t);var r=n(1),o=n.n(r);if(o.a.BV&&o.a.BV._private){console&&console.warn&&console.warn("BV Loader should only be called once per page.")}else n(49).default()},,function(e,t,n){"use strict";n.r(t),function(e){n(50);var r=n(39),o=n(16),a=n(15),i=n(23),s=n(0),c=n(2),u=n(1),l=n.n(u),f=n(18),d=n(3),p=n(27),m=n(45),h=n(10),v=n(7),g=n(25),b=n(40),y=n(41),w=n(26);function E(e,t){return function(e){if(Array.isArray(e))return e}(e)||function(e,t){if("undefined"==typeof Symbol||!(Symbol.iterator in Object(e)))return;var n=[],r=!0,o=!1,a=void 0;try{for(var i,s=e[Symbol.iterator]();!(r=(i=s.next()).done)&&(n.push(i.value),!t||n.length!==t);r=!0);}catch(e){o=!0,a=e}finally{try{r||null==s.return||s.return()}finally{if(o)throw a}}return n}(e,t)||function(e,t){if(!e)return;if("string"==typeof e)return S(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);"Object"===n&&e.constructor&&(n=e.constructor.name);if("Map"===n||"Set"===n)return Array.from(n);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return S(e,t)}(e,t)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function S(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=new Array(t);n<t;n++)r[n]=e[n];return r}n(54);t.default=function(){var t=l.a.document,n=r.a.createMark("bv_loader");Object(b.a)(),n.end=n.start();var u;l.a.navigator.userAgent.indexOf("MSIE")>-1||l.a.navigator.userAgent.indexOf("Trident/");if(c.a.privacy=g.a,c.a.pixel=f.a.createTracker({commonData:{bvProduct:"pixel"},name:"pixel",source:"bv-loader"}),s.a.isCurationsEnabled){l.a.crl8=l.a.crl8=l.a.crl8||{};var S=!1,k=[],_=function(){S=!0,k.forEach(function(e){e()})};l.a.crl8.ready=function(e){S?e():k.push(e)}}s.a.apps.forEach(function(e){return Object(y.a)(e,n)}),c.a.curations&&c.a.curations.on("curations_loaded",_),Object(p.b)(),l.a.$BV&&"ui"in l.a.$BV||s.a.isPreview||(l.a.$BV=Object(m.a)()),"container"===v.c()&&(s.a.isConversations?l.a.$BV.container("global",{}):l.a.$BV.ui("submission_container",{})),Object(w.a)(),d.a&&(l.a[d.a]?C(l.a[d.a]):Object.defineProperty(l.a,d.a,{get:function(){return u},set:function(e){u=e,C(e)}}));n.end();var O=E(n.measures,1)[0],T=O.duration,j=O.startTime,x=j+T;try{h.a.trackEvent("Diagnostic",{name:"timeToRunScout",type:"Performance",startTime:j.toFixed(4),endTime:x.toFixed(4),elapsedMs:T.toFixed(4)})}catch(e){}function C(e){if("function"!=typeof e)throw Error("The BV Callback must be a function.");setTimeout(function(){e.call(null,c.a)})}i.a&&(new e(function(e){t.addEventListener("DOMContentLoaded",function(){e()}),setTimeout(function(){e()},3e3)}).then(function(){Object(a.a)("page",Object(o.e)())}),setTimeout(function(){Object(a.a)("bv-loader",Object(o.d)())},0),window.addEventListener("unload",function(){for(var e in Object(a.a)("resources",Object(o.a)()),l.a.BV._render.layouts)Object(a.a)("render",Object(o.c)(e),e)}))}}.call(this,n(6))},function(e,t,n){"use strict";var r=n(0),o=n(10),a=n(11);if("undefined"!=typeof window){var i=new RegExp(r.a.paths.root);window.addEventListener("error",function(e){var t=e.error,n=e.filename;i.test(n)&&(o.a.trackError({message:t.message||t,stack:t.stack,type:"BV Loader Uncaught ".concat(t.name||"Error")}),Object(a.a)().then(function(e){e(t)}))})}},function(e,t,n){var r,o,a;!function(n,i){"use strict";o=[],void 0===(a="function"==typeof(r=function(){function e(e){return e.charAt(0).toUpperCase()+e.substring(1)}function t(e){return function(){return this[e]}}var n=["isConstructor","isEval","isNative","isToplevel"],r=["columnNumber","lineNumber"],o=["fileName","functionName","source"],a=n.concat(r,o,["args"]);function i(t){if(t instanceof Object)for(var n=0;n<a.length;n++)t.hasOwnProperty(a[n])&&void 0!==t[a[n]]&&this["set"+e(a[n])](t[a[n]])}i.prototype={getArgs:function(){return this.args},setArgs:function(e){if("[object Array]"!==Object.prototype.toString.call(e))throw new TypeError("Args must be an Array");this.args=e},getEvalOrigin:function(){return this.evalOrigin},setEvalOrigin:function(e){if(e instanceof i)this.evalOrigin=e;else{if(!(e instanceof Object))throw new TypeError("Eval Origin must be an Object or StackFrame");this.evalOrigin=new i(e)}},toString:function(){var e=this.getFileName()||"",t=this.getLineNumber()||"",n=this.getColumnNumber()||"",r=this.getFunctionName()||"";return this.getIsEval()?e?"[eval] ("+e+":"+t+":"+n+")":"[eval]:"+t+":"+n:r?r+" ("+e+":"+t+":"+n+")":e+":"+t+":"+n}},i.fromString=function(e){var t=e.indexOf("("),n=e.lastIndexOf(")"),r=e.substring(0,t),o=e.substring(t+1,n).split(","),a=e.substring(n+1);if(0===a.indexOf("@"))var s=/@(.+?)(?::(\d+))?(?::(\d+))?$/.exec(a,""),c=s[1],u=s[2],l=s[3];return new i({functionName:r,args:o||void 0,fileName:c,lineNumber:u||void 0,columnNumber:l||void 0})};for(var s=0;s<n.length;s++)i.prototype["get"+e(n[s])]=t(n[s]),i.prototype["set"+e(n[s])]=function(e){return function(t){this[e]=Boolean(t)}}(n[s]);for(var c=0;c<r.length;c++)i.prototype["get"+e(r[c])]=t(r[c]),i.prototype["set"+e(r[c])]=function(e){return function(t){if(n=t,isNaN(parseFloat(n))||!isFinite(n))throw new TypeError(e+" must be a Number");var n;this[e]=Number(t)}}(r[c]);for(var u=0;u<o.length;u++)i.prototype["get"+e(o[u])]=t(o[u]),i.prototype["set"+e(o[u])]=function(e){return function(t){this[e]=String(t)}}(o[u]);return i})?r.apply(t,o):r)||(e.exports=a)}()},function(e){e.exports={name:"@bv/bv-loader",version:"13.2.9",description:"Builds a scout file that loads web apps with BV Loader",license:"SEE LICENSE IN LICENSE.md",author:"Bazaarvoice <UIArchitectureTeam@bazaarvoice.com>",main:"lib/index.js",repository:"github:bazaarvoice/bv-loader",engines:{node:"^10.15.0",npm:"^6.9.0"},scripts:{test:"BABEL_ENV=test nyc tape-watch --once -r @babel/register -r @babel/polyfill 'test/**/*.spec.js' --pipe tap-spec","test:api":"BABEL_ENV=test nyc tape-watch --once -r @babel/register -r @babel/polyfill 'functional_tests_api/**/*.spec.js' --pipe tap-spec",lint:"eslint .",web:"node lib/service/web.js",builder:"node lib/service/builder.js",cache:"memcached -p 5555","deploy-client":"./util/deploy-client.js","serve:built":"cd built && ln -sfn . loader && http-server -p 1337 --cors --ssl --key ~/.bv/loader.key --cert ~/.bv/loader.crt","functional-tests:local":"wdio functional_tests/configs/local.conf.js","functional-tests:remote":"wdio functional_tests/configs/browserStack.conf.js","functional-tests:remote_chrome_windows-QA":"environment=qa os=Windows os_version=10 browser=Chrome wdio functional_tests/configs/browserStack.conf.js --suite full","functional-tests:remote_firefox_windows-QA":"environment=qa os=Windows os_version=10 browser=Firefox wdio functional_tests/configs/browserStack.conf.js --suite full","functional-tests:remote_chrome_os_x-QA":'environment=qa os="OS X" os_version=Mojave browser=Chrome wdio functional_tests/configs/browserStack.conf.js --suite full',"functional-tests:remote_firefox_os_x-QA":'environment=qa os="OS X" os_version=Mojave browser=Firefox wdio functional_tests/configs/browserStack.conf.js --suite full',"functional-tests:remote_safari_os_x-QA":'environment=qa os="OS X" os_version=Mojave browser=Safari wdio functional_tests/configs/browserStack.conf.js --suite full',"functional-tests:remote_edge_windows-QA":"environment=qa os=Windows os_version=10 browser=EDGE wdio functional_tests/configs/browserStack.conf.js --suite full","functional-tests:remote_chrome_galaxy_s10-QA":'environment=qa os_version=9.0 browser=Chrome device="Samsung Galaxy S10" wdio functional_tests/configs/browserStack.conf.js --suite full',"functional-tests:remote_chrome_iphone11-QA":'environment=qa os_version=13 browser=Chrome device="iPhone 11" wdio functional_tests/configs/browserStack.conf.js --suite full',"functional-tests:remote_safari_iphoneXsMax-QA":'environment=qa os_version=12 browser=Safari device="iPhone XS Max" wdio functional_tests/configs/browserStack.conf.js --suite full',"functional-tests:remote_ie_windows-QA":"environment=qa os=Windows os_version=10 browser=IE wdio functional_tests/configs/browserStack.conf.js --suite full","update-bstack":"./functional_tests/tasks/updateBrowserStack.sh",report:"allure generate allure-results --clean -o allure-report && allure open allure-report"},publishConfig:{registry:"https://repo.bazaarvoice.com/nexus/content/repositories/npm-internal"},sideEffects:["./lib/scout/errorHandler.js","./lib/scout/privateNamespace.js"],husky:{hooks:{"pre-commit":""}},"lint-staged":{"*.{js,jsx}":["eslint --fix","git add"]},dependencies:{"@babel/cli":"^7.8.4","@babel/core":"^7.9.0","@babel/plugin-transform-object-assign":"^7.8.3","@babel/plugin-transform-runtime":"^7.9.0","@babel/preset-env":"^7.9.0","@babel/register":"^7.9.0","@babel/runtime":"^7.9.0","@bv/analytics.js":"^3.8.3","@bv/bv-js-utils":"^4.1.0","@bv/bv-loader-framework":"^4.0.1","@bv/bv-services-nodejs":"^1.0.0","@hapi/inert":"^5.2.0","@hapi/joi":"^15.0.0",ajv:"^6.10.2",async:"^2.6.2","aws-sdk":"^2.451.0","babel-loader":"^8.0.0","bv-ui-core":"^2.2.0","date-fns":"^1.29.0","detect-browser":"^4.7.0","error-stack-parser":"^2.0.4",hapi:"^18.1.0","hapi-swagger":"^9.4.2",lodash:"^4.9.0",md5:"^2.2.1",memcached:"^2.2.2","memory-fs":"^0.4.1",mkdirp:"^0.5.1",raven:"^2.1.2",request:"^2.88.0","request-promise":"^4.2.4",semver:"^6.0.0",systemjs:"^0.21.0",vision:"^5.4.4",webpack:"^4.30.0",winston:"^3.1.0","winston-logzio":"^5.0.0"},devDependencies:{"@babel/polyfill":"^7.4.4","@wdio/allure-reporter":"^5.7.11","@wdio/browserstack-service":"^5.8.0","@wdio/cli":"^5.8.3","@wdio/junit-reporter":"^5.8.0","@wdio/local-runner":"^5.8.3","@wdio/mocha-framework":"^5.8.1","@wdio/selenium-standalone-service":"^5.8.0","@wdio/sync":"^5.8.1","allure-commandline":"^2.3.3","babel-plugin-mock-imports":"^1.0.2","babel-plugin-rewire":"^1.2.0",chai:"^4.1.1",eslint:"^6.8.0","http-server":"^0.11.1",husky:"^2.2.0","lint-staged":"^8.1.6",minimist:"^1.2.0",mocha:"^6.1.4","node-mocks-http":"^1.7.5","nodemailer-sendmail-transport":"^1.0.0",nyc:"^14.1.0","partial-compare":"^1.0.1",rewire:"^4.0.1",sinon:"^7.3.2","tap-spec":"^5.0.0",tape:"^4.10.1","tape-watch":"^2.3.0",webdriverio:"^5.8.3","webpack-bundle-analyzer":"^3.3.2",yargs:"^13.2.2"}}},function(e,t){var n,r,o=e.exports={};function a(){throw new Error("setTimeout has not been defined")}function i(){throw new Error("clearTimeout has not been defined")}function s(e){if(n===setTimeout)return setTimeout(e,0);if((n===a||!n)&&setTimeout)return n=setTimeout,setTimeout(e,0);try{return n(e,0)}catch(t){try{return n.call(null,e,0)}catch(t){return n.call(this,e,0)}}}!function(){try{n="function"==typeof setTimeout?setTimeout:a}catch(e){n=a}try{r="function"==typeof clearTimeout?clearTimeout:i}catch(e){r=i}}();var c,u=[],l=!1,f=-1;function d(){l&&c&&(l=!1,c.length?u=c.concat(u):f=-1,u.length&&p())}function p(){if(!l){var e=s(d);l=!0;for(var t=u.length;t;){for(c=u,u=[];++f<t;)c&&c[f].run();f=-1,t=u.length}c=null,l=!1,function(e){if(r===clearTimeout)return clearTimeout(e);if((r===i||!r)&&clearTimeout)return r=clearTimeout,clearTimeout(e);try{r(e)}catch(t){try{return r.call(null,e)}catch(t){return r.call(this,e)}}}(e)}}function m(e,t){this.fun=e,this.array=t}function h(){}o.nextTick=function(e){var t=new Array(arguments.length-1);if(arguments.length>1)for(var n=1;n<arguments.length;n++)t[n-1]=arguments[n];u.push(new m(e,t)),1!==u.length||l||s(p)},m.prototype.run=function(){this.fun.apply(null,this.array)},o.title="browser",o.browser=!0,o.env={},o.argv=[],o.version="",o.versions={},o.on=h,o.addListener=h,o.once=h,o.off=h,o.removeListener=h,o.removeAllListeners=h,o.emit=h,o.prependListener=h,o.prependOnceListener=h,o.listeners=function(e){return[]},o.binding=function(e){throw new Error("process.binding is not supported")},o.cwd=function(){return"/"},o.chdir=function(e){throw new Error("process.chdir is not supported")},o.umask=function(){return 0}},function(e,t,n){"use strict";n.r(t);var r=n(2),o=n(22),a=n(11);r.a._private={},Object(o.a)(r.a._private,{ponyfills:r.a.global.ponyfills,SystemJS:r.a.global.SystemJS,loadUserSegment:r.a.global.loadUserSegment,errorReporter:a.a}),Object.freeze(r.a._private)},function(e,t,n){var r=n(1),o=n(28).getEntries,a=r.performance,i=a&&a.getEntriesByName,s="function"==typeof i;function c(e,t){return i.call(a,e,t)}function u(e,t){if(0===arguments.length)throw new TypeError("Failed to execute 'getEntriesByName' on 'Performance': 1 argument required, but only 0 present.");return o().filter(function(n){if(n.name===e&&(void 0===t||n.entryType===t))return n})}e.exports={getEntriesByName:function(e,t){var n=arguments.length>0,r=s?c:u;return n?r(e,t):r()}}},function(e,t,n){var r=n(1).Date,o=r&&r.now,a="function"==typeof o;function i(){return o.call(r)}function s(){return(new r).getTime()}e.exports={now:function(){return(a?i:s)()}}},function(e,t,n){var r=n(1),o=n(30),a=n(29).timeline,i=r.performance,s=i&&i.mark,c="function"==typeof s,u={navigationStart:1,unloadEventStart:1,unloadEventEnd:1,redirectStart:1,redirectEnd:1,fetchStart:1,domainLookupStart:1,domainLookupEnd:1,connectStart:1,connectEnd:1,secureConnectionStart:1,requestStart:1,responseStart:1,responseEnd:1,domLoading:1,domInteractive:1,domContentLoadedEventStart:1,domContentLoadedEventEnd:1,domComplete:1,loadEventStart:1,loadEventEnd:1};function l(e){return s.call(i,e)}function f(e){if(arguments.length<1)throw new SyntaxError("Cannot set mark without a name");if(e in u)throw new SyntaxError('Cannot set mark with reserved name "'+e+'"');var t={entryType:"mark",name:e,startTime:o.now(),duration:0};a.push(t)}e.exports={mark:function(e){var t=arguments.length>0,n=c?l:f;return t?n(e):n()}}},function(e,t,n){var r=n(1),o=n(30).now,a=n(34).getEntriesByType,i=n(29).timeline,s=r.performance,c=s&&s.measure,u="function"==typeof c;function l(e,t,n){return void 0===t?c.call(s,e):void 0===n?c.call(s,e,t):c.call(s,e,t,n)}function f(e,t,n){if(arguments.length<1)throw new TypeError("Failed to execute 'measure' on 'Performance': 1 argument required, but only 0 present.");var r,s=a("mark"),c=0,u=o();if(void 0!==t){if(!(r=s.filter(function(e){return e.entryName===t})).length)throw new Error("Failed to execute 'measure' on 'Performance': The mark '"+t+"' does not exist.");c=r[r.length-1].startTime}if(void 0!==n){if(!(r=s.filter(function(e){return e.entryName===n})).length)throw new Error("Failed to execute 'measure' on 'Performance': The mark '"+n+"' does not exist.");u=r[r.length-1].startTime}var l={entryType:"measure",name:e,startTime:c,duration:u-c};i.push(l)}e.exports={measure:function(e,t,n){var r=arguments.length>0,o=u?l:f;return r?o(e,t,n):o()}}},function(e,t){function n(e,t){document.body&&(t.disconnect(),e())}e.exports=function(e){if(document.body)e();else{var t=new MutationObserver(function(){n(e,t)});t.observe(document.documentElement,{childList:!0,subtree:!0}),n(e,t)}}}]);
//# sourceURL=https://apps.bazaarvoice.com/bv.js